Functionality not supported by your operating system

Re: Functionality not supported by your operating system

Postby jaybie » Wed Jan 09, 2013 10:40 am

Upgrade is completed, and now I get a new error message both in shell and through BAZ:

Code: Select all
Functionality not supported by your operating system: required application is not installed or application is running on old version of java


A slightly more useful error message than previously...

Well, it's not java becasue I updated that to 7_10 a day or two ago, so something must be missing.

Could you please contact accountz support team on 01354 691650 and we will try to investigate further on it?

Will do.

It would be useful to be able to save a pdf VAT return, like you can with a statement. I have no problem with saving a file and printing it separately from BAZ

Jaybie
jaybie
 
Posts: 12
Joined: Thu Jan 03, 2013 2:39 pm

Re: Functionality not supported by your operating system

Postby Hannah » Wed Jan 09, 2013 11:54 am

Hi Jaybie,

Karan will be giving you a call shortly. You said you had a PDF reader installed, can you confirm which one please.

If it is not Adobe please download the free version here: http://www.adobe.com/uk/products/acrobat/adobepdf.html
Accountz.com Ltd
email: support[@]accountz.com
Hannah
Site Admin
 
Posts: 179
Joined: Sun Feb 18, 2007 10:03 pm

Re: Functionality not supported by your operating system

Postby fruit » Wed Jan 09, 2013 12:21 pm

One of the reasons I run linux is because of its security.

Adobe have an abysmal record for exploits and security issues across their software range. I will not install any of their software here, thanks.
fruit
 
Posts: 133
Joined: Sat Feb 24, 2007 6:10 pm
Location: Brandon, Suffolk, UK

Re: Functionality not supported by your operating system

Postby jaybie » Wed Jan 09, 2013 3:50 pm

Yup, I'm not mad on installing anything Adobe either.

I had a chat to Karan about the issue and he tells me that my java setup requires Adobe Acrobat in order to print. I have searched the obvious places for a configuration file to see if I can change which pdf application Java looks for, but so far no joy. I will keep looking though.

However after a bit of reading I'm not completely sure that java has a requirement for Adobe reader. (I a writing this for Karan's benefit really although it may be of interest to others). I gather that java has no native support for printing pdfs, and that a common workaround is to call Adobe Reader to print the document without showing a gui. I am uncertain whether this workaround takes place in JVM or in the program being run. Given that even in the murky world of Windows not every machine with a JVM will have Adobe reader installed, it seems strange that Java would be hard-coded with a requirement for it. No requirements for a pdf reader are listed on Java.com It seems to me more likely the requirement lies in the application (BAZ).

However, there are Java libraries to allow for direct printing of pdfs, such as:

Jpedal, I gather there is even a GPL version, http://www.idrsolutions.com/print-pdf-files-in-java/

and "pdf-renderer" from Sun/Oracle http://java.net/projects/pdf-renderer

Anyway this is not a huge deal for me and I can live with it until something is sorted (and I have been promised it will be!..)

Thanks for your help Fruit and Karan.
jaybie
 
Posts: 12
Joined: Thu Jan 03, 2013 2:39 pm

Re: Functionality not supported by your operating system

Postby fruit » Wed Jan 09, 2013 5:18 pm

Thanks for the update.

I think you are right, BAZ requirement, not java itself.

pdf-renderer has been included in the latest update, no idea whether it's actually used of course.
fruit
 
Posts: 133
Joined: Sat Feb 24, 2007 6:10 pm
Location: Brandon, Suffolk, UK

Re: Functionality not supported by your operating system

Postby Quentin Pain » Thu Jan 10, 2013 2:00 pm

The latest update includes some pdf functionality for the new document manager.
Quentin Pain FIAB
Quentin Pain
Expert
 
Posts: 1476
Joined: Sun Feb 18, 2007 4:17 pm

Re: Functionality not supported by your operating system

Postby fruit » Fri Jan 11, 2013 6:31 pm

Just installed 13.01.10, printing seems to be OK again, can print VAT return to a saved pdf

Print PDF button doesn't work without Adobe reader here in statements etc. - but update text didn't say it would.

Much happier, thanks.
fruit
 
Posts: 133
Joined: Sat Feb 24, 2007 6:10 pm
Location: Brandon, Suffolk, UK

Re: Functionality not supported by your operating system

Postby karanbir Singh » Mon Jan 14, 2013 11:26 am

No Worries. We are glad that it working fine. I this new update users can now save the Vat return report in a PDF format and then print that from the Pdf reader.


Karan
Accountz Support Team
karanbir Singh
 
Posts: 243
Joined: Tue Sep 21, 2010 2:42 pm

Re: Functionality not supported by your operating system

Postby pctech » Fri Feb 08, 2013 3:59 pm

[quote="Hannah"]Hi Fruit,

Those on version 12.05.31 can not install the upgrade unless the lib folder is deleted
Hi Hannah,

I have BAZ Enterprise in Linux, and cannot upgrade from this version - should I also delete the lib folder?

Regards,
Philip G.
pctech
 
Posts: 3
Joined: Sun Apr 10, 2011 3:04 pm

Re: Functionality not supported by your operating system

Postby fruit » Fri Feb 08, 2013 6:11 pm

Yes, delete that folder and the upgrade should proceed - assuming there is an older lib folder for it to fall back to
fruit
 
Posts: 133
Joined: Sat Feb 24, 2007 6:10 pm
Location: Brandon, Suffolk, UK

Re: Functionality not supported by your operating system

Postby karanbir Singh » Wed Feb 13, 2013 6:59 pm

Dear Philip,

If you face any issues please contact accountz support team on 01354 691650 and we will sort this out for you.
karanbir Singh
 
Posts: 243
Joined: Tue Sep 21, 2010 2:42 pm

Previous

Return to Linux

Who is online

Users browsing this forum: No registered users and 1 guest

cron